// DMMFunc.h: interface for the CDMMFunc class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DMMFUNC_H__09167598_0388_4777_B246_D7EAF9A01803__INCLUDED_)
#define AFX_DMMFUNC_H__09167598_0388_4777_B246_D7EAF9A01803__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CDMMFunc  
{
public:
	CDMMFunc();
	virtual ~CDMMFunc();

	BOOL GetInfo(int id);		/*Get information from hardware*/

	DMM_INFO m_dmmInfo[3];

public:
	CString FormatValue(DMM_VALUE& dmmValue, BOOL bOverflow);
	CString DMMFormatValue(DMM_INFO* pValue);
	CString DMMFormatRelValue(DMM_INFO* pValue);

	int DMMGetType(int& bChange);		//Get DMM Type
	int DMMGetRange(int& bChange);
	int DMMGetDCAC();					//Get DC AC
	int DMMGetAutoManual();
	int DMMGetAMA();
	BOOL DMMGetREL();
};
#endif // !defined(AFX_DMMFUNC_H__09167598_0388_4777_B246_D7EAF9A01803__INCLUDED_)
