// DSOFunc.h: interface for the CDSOFunc class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DSOFUNC_H__373F0BE0_285A_4BF9_AB51_B09B5DA0623F__INCLUDED_)
#define AFX_DSOFUNC_H__373F0BE0_285A_4BF9_AB51_B09B5DA0623F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CDSOFunc  
{
public:
	CDSOFunc();
	virtual ~CDSOFunc();

	BOOL GetInfo(int id);		/*Get information from hardware*/
	UPLOAD_DATA m_dsoData[3];	/*DSO data, 0: from hard, 1: copy buffer*/
	USHORT g_chData[4][1200];


	UPLOAD_DATA* GetDataPoint(){return m_dsoData + 2;}

//Get
	int GetChPos(int ch, BOOL& bChange);
	int GetTrigPos(int ch, BOOL& bChange);
	int GetVoltage(int ch, BOOL& bChange);
	int GetTimebase(BOOL& bChange);
	int GetTrigSource(BOOL& bChange);
	int GetTrigMode(BOOL& bChange);

//Set
	

};

#endif // !defined(AFX_DSOFUNC_H__373F0BE0_285A_4BF9_AB51_B09B5DA0623F__INCLUDED_)
