// VCDlg.cpp : implementation file
//

#include "stdafx.h"
#include "VC.h"
#include "VCDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CVCDlg dialog

CVCDlg::CVCDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CVCDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CVCDlg)
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
	hProc = NULL;
}

void CVCDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CVCDlg)
	DDX_Control(pDX, IDC_STATIC_RANGE, m_staticRange);
	DDX_Control(pDX, IDC_CHECKCAP, m_checkCap);
	DDX_Control(pDX, IDC_CHECK_V, m_checkVolt);
	DDX_Control(pDX, IDC_CHECK_R, m_checkOHM);
	DDX_Control(pDX, IDC_CHECK_DIODE, m_checkDiode);
	DDX_Control(pDX, IDC_CHECK_CONTI, m_checkConti);
	DDX_Control(pDX, IDC_CHECK_A, m_checkCurrent);
	DDX_Control(pDX, IDC_EDIT_CH2TRIGGER, m_editTrigPosCh2);
	DDX_Control(pDX, IDC_EDIT_CH2POSITION, m_editChPosCh2);
	DDX_Control(pDX, IDC_EDIT_CH1TRIGGER, m_editTrigPosCh1);
	DDX_Control(pDX, IDC_EDIT_CH1POSITION, m_editChPosCh1);
	DDX_Control(pDX, IDC_STATIC_DMM, m_dmmDisT);
	DDX_Control(pDX, IDC_STATIC_DSO, m_dsoDisT);
	DDX_Control(pDX, IDC_COMBO_RANGE, m_comDMMRange);
	DDX_Control(pDX, IDC_CBO_TRIGGERSOURCE, m_comDSOTriggerSource);
	DDX_Control(pDX, IDC_CBO_TRIGGERMODE, m_comDSOTriggerMode);
	DDX_Control(pDX, IDC_CBO_TIMEBASE, m_comDSOTimebase);
	DDX_Control(pDX, IDC_CBO_CH2VOLTAGE, m_comDSOVoltCh2);
	DDX_Control(pDX, IDC_CBO_CH1VOLTAGE, m_comDSOVoltCh1);
	DDX_Control(pDX, IDC_BTN_REL, m_btnDMMRel);
	DDX_Control(pDX, IDC_BTN_DCAC, m_btnDMMDCAC);
	DDX_Control(pDX, IDC_BTN_AUTOMANUAL, m_btnDMMAuto);
	DDX_Control(pDX, IDC_BTN_AMA, m_btnDMMAma);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CVCDlg, CDialog)
	//{{AFX_MSG_MAP(CVCDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_RADIO_DSO, OnRadioDso)
	ON_BN_CLICKED(IDC_RADIO_DMM, OnRadioDmm)
	ON_WM_TIMER()
	ON_CBN_SELCHANGE(IDC_CBO_CH1VOLTAGE, OnSelchangeCboCh1voltage)
	ON_CBN_SELCHANGE(IDC_CBO_CH2VOLTAGE, OnSelchangeCboCh2voltage)
	ON_CBN_SELCHANGE(IDC_CBO_TIMEBASE, OnSelchangeCboTimebase)
	ON_CBN_SELCHANGE(IDC_CBO_TRIGGERMODE, OnSelchangeCboTriggermode)
	ON_CBN_SELCHANGE(IDC_CBO_TRIGGERSOURCE, OnSelchangeCboTriggersource)
	ON_BN_CLICKED(IDC_BTN_CH1POSITION_OK, OnBtnCh1positionOk)
	ON_BN_CLICKED(IDC_BTN_CH1TRIGGER_OK, OnBtnCh1triggerOk)
	ON_BN_CLICKED(IDC_BTN_CH2POSITION_OK, OnBtnCh2positionOk)
	ON_BN_CLICKED(IDC_BTN_CH2TRIGGER_OK, OnBtnCh2triggerOk)
	ON_BN_CLICKED(IDC_BTN_AUTOSET, OnBtnAutoset)
	ON_BN_CLICKED(IDC_CHECK_V, OnCheckV)
	ON_BN_CLICKED(IDC_CHECK_A, OnCheckA)
	ON_BN_CLICKED(IDC_CHECK_CONTI, OnCheckConti)
	ON_BN_CLICKED(IDC_CHECK_DIODE, OnCheckDiode)
	ON_BN_CLICKED(IDC_CHECK_R, OnCheckR)
	ON_BN_CLICKED(IDC_CHECKCAP, OnCheckcap)
	ON_BN_CLICKED(IDC_BTN_DCAC, OnBtnDcac)
	ON_BN_CLICKED(IDC_BTN_REL, OnBtnRel)
	ON_BN_CLICKED(IDC_BTN_AUTOMANUAL, OnBtnAutomanual)
	ON_BN_CLICKED(IDC_BTN_AMA, OnBtnAma)
	ON_CBN_SELCHANGE(IDC_COMBO_RANGE, OnSelchangeComboRange)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CVCDlg message handlers

BOOL CVCDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	if (0 == m_hard.SearchHardware())
	{
		MessageBox("Can't find hardware!");
		SendMessage(WM_CLOSE);
	}
	
	m_dsoDisT.SetHard(&m_hard);
	m_dsoDisT.ReDraw();
	m_dmmDisT.SetHard(&m_hard);
	m_dmmDisT.ReDraw();
	SetTimer(1, 50, NULL);
	InitComboBox();
	InitDlg();
	// TODO: Add extra initialization here
	hProc = CreateThread(NULL, 0, DSOProc, (LPVOID)this, 0, NULL);
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CVCDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CVCDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CVCDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}
DWORD WINAPI CVCDlg::DSOProc(LPVOID lParam)
{
	CVCDlg* pDlg = (CVCDlg*)lParam;
	while(1)
	{
		pDlg->m_hard.Process();
		pDlg->SetDlg();
		Sleep(10);
	}
	return 0;
}
void CVCDlg::SetDlg()
{
	int con = m_hard.isConnect();
	CString s;
	if (con == 0)
	{
		SetWindowText("DSO Sample -- Disconnect");
	}
	else
	{
		s.Format("DSO Sample -- Connecting -- %s", m_hard.GetSerialNumber());
		SetWindowText(s);
	}
	((CButton*)GetDlgItem(IDC_RADIO_DSO))->SetCheck(m_hard.GetFunction() == HT_DSO);
	((CButton*)GetDlgItem(IDC_RADIO_DMM))->SetCheck(m_hard.GetFunction() == HT_DMM);

	//DSO
	if (m_hard.GetFunction() == HT_DSO)
	{
		DSOChangeDlg();
	}
	else
	{
		DMMChangeDlg();
	}
}

void CVCDlg::OnRadioDso() 
{
	// TODO: Add your control notification handler code here
	m_hard.SetHardParam(MSG_CHANGE_FUNC, HT_DSO);
}

void CVCDlg::OnRadioDmm() 
{
	// TODO: Add your control notification handler code here
	m_hard.SetHardParam(MSG_CHANGE_FUNC, HT_DMM);
}

void CVCDlg::OnTimer(UINT nIDEvent) 
{
	// TODO: Add your message handler code here and/or call default
	m_dsoDisT.ReDraw();
	m_dmmDisT.ReDraw();
	CDialog::OnTimer(nIDEvent);
}

void CVCDlg::InitComboBox()
{
	//Ch1 Voltage
	m_comDSOVoltCh1.ResetContent();
	m_comDSOVoltCh1.AddString("10.0mV");
	m_comDSOVoltCh1.AddString("20.0mV");
	m_comDSOVoltCh1.AddString("50.0mV");
	m_comDSOVoltCh1.AddString("100mV");
	m_comDSOVoltCh1.AddString("200mV");
	m_comDSOVoltCh1.AddString("500mV");
	m_comDSOVoltCh1.AddString("1.00V");
	m_comDSOVoltCh1.AddString("2.00V");
	m_comDSOVoltCh1.AddString("5.00V");

	//Ch2 Voltage
	m_comDSOVoltCh2.ResetContent();
	m_comDSOVoltCh2.AddString("10.0mV");
	m_comDSOVoltCh2.AddString("20.0mV");
	m_comDSOVoltCh2.AddString("50.0mV");
	m_comDSOVoltCh2.AddString("100mV");
	m_comDSOVoltCh2.AddString("200mV");
	m_comDSOVoltCh2.AddString("500mV");
	m_comDSOVoltCh2.AddString("1.00V");
	m_comDSOVoltCh2.AddString("2.00V");
	m_comDSOVoltCh2.AddString("5.00V");

	//Timebase
	m_comDSOTimebase.ResetContent();
	m_comDSOTimebase.AddString("2.000ns");
	m_comDSOTimebase.AddString("5.000ns");
	m_comDSOTimebase.AddString("10.00ns");
	m_comDSOTimebase.AddString("20.00ns");
	m_comDSOTimebase.AddString("50.00ns");
	m_comDSOTimebase.AddString("100.0ns");
	m_comDSOTimebase.AddString("200.0ns");
	m_comDSOTimebase.AddString("500.0ns");
	m_comDSOTimebase.AddString("1.000us");
	m_comDSOTimebase.AddString("2.000us");
	m_comDSOTimebase.AddString("5.000us");
	m_comDSOTimebase.AddString("10.00us");
	m_comDSOTimebase.AddString("20.00us");
	m_comDSOTimebase.AddString("50.00us");
	m_comDSOTimebase.AddString("100.0us");
	m_comDSOTimebase.AddString("200.0us");
	m_comDSOTimebase.AddString("500.0us");
	m_comDSOTimebase.AddString("1.000ms");
	m_comDSOTimebase.AddString("2.000ms");
	m_comDSOTimebase.AddString("5.000ms");
	m_comDSOTimebase.AddString("10.00ms");
	m_comDSOTimebase.AddString("20.00ms");
	m_comDSOTimebase.AddString("50.00ms");
	m_comDSOTimebase.AddString("100.0ms");
	m_comDSOTimebase.AddString("200.0ms");
	m_comDSOTimebase.AddString("500.0ms");
	m_comDSOTimebase.AddString("1.000s");
	m_comDSOTimebase.AddString("2.000s");
	m_comDSOTimebase.AddString("5.000s");
	m_comDSOTimebase.AddString("10.00s");
	m_comDSOTimebase.AddString("20.00s");
	m_comDSOTimebase.AddString("50.00s");
	m_comDSOTimebase.AddString("100.0s");
	m_comDSOTimebase.AddString("200.0s");
	m_comDSOTimebase.AddString("500.0s");
	m_comDSOTimebase.AddString("1000s");

	//Trigger Source
	m_comDSOTriggerSource.AddString("CH1");
	m_comDSOTriggerSource.AddString("CH2");

	//Trigger Mode
	m_comDSOTriggerMode.AddString("Edge");
	m_comDSOTriggerMode.AddString("Pulse");
	m_comDSOTriggerMode.AddString("ALT");

	DMMSetType(0);
}
void CVCDlg::InitDlg()
{
	CString sTmp;

	//DMM Init
	UPLOAD_DATA* pData = m_hard.m_dsoFunc.GetDataPoint();
	sTmp.Format("%d", pData->ch[0].vertPos);
	m_editChPosCh1.SetWindowText(sTmp);
	sTmp.Format("%d", pData->ch[0].vTrigPos);
	m_editTrigPosCh1.SetWindowText(sTmp);
	sTmp.Format("%d", pData->ch[1].vertPos);
	m_editChPosCh2.SetWindowText(sTmp);
	sTmp.Format("%d", pData->ch[1].vTrigPos);
	m_editTrigPosCh2.SetWindowText(sTmp);

	m_comDSOVoltCh1.SetCurSel(pData->ch[0].voltDivIndex);
	m_comDSOVoltCh2.SetCurSel(pData->ch[1].voltDivIndex);
	m_comDSOTimebase.SetCurSel(pData->timebase);
	m_comDSOTriggerMode.SetCurSel(pData->triggerMode);
	m_comDSOTriggerSource.SetCurSel(pData->trigger[0].Source);


	//DMM Init
	DMMSetType(0);
}
//DSO
void CVCDlg::DSOChangeDlg()			/*Change dialog*/
{
	CString sTmp;
	int value;
	BOOL bChange = 0;
	UPLOAD_DATA* pData = m_hard.m_dsoFunc.GetDataPoint();
	//Ch1 pos
	value = m_hard.m_dsoFunc.GetChPos(0, bChange);
	if (bChange == 1)
	{
		sTmp.Format("%d", value);
		m_editChPosCh1.SetWindowText(sTmp);		
	}
	//Ch2 pos
	value = m_hard.m_dsoFunc.GetChPos(1, bChange);
	if (bChange == 1)
	{
		sTmp.Format("%d", value);
		m_editChPosCh2.SetWindowText(sTmp);		
	}
	//Ch1 trig Pos
	value = m_hard.m_dsoFunc.GetTrigPos(0, bChange);
	if (bChange == 1)
	{
		sTmp.Format("%d", value);
		m_editTrigPosCh1.SetWindowText(sTmp);		
	}
	//Ch2 pos
	value = m_hard.m_dsoFunc.GetTrigPos(1, bChange);
	if (bChange == 1)
	{
		sTmp.Format("%d", value);
		m_editTrigPosCh2.SetWindowText(sTmp);		
	}
	//Ch1 voltage
	value = m_hard.m_dsoFunc.GetVoltage(0, bChange);
	if (bChange == 1)
	{
		m_comDSOVoltCh1.SetCurSel(value);
	}
	//Ch2 voltage
	value = m_hard.m_dsoFunc.GetVoltage(1, bChange);
	if (bChange == 1)
	{
		m_comDSOVoltCh2.SetCurSel(value);
	}
	//Timebase
	value = m_hard.m_dsoFunc.GetTimebase(bChange);
	if (bChange == 1)
	{
		m_comDSOTimebase.SetCurSel(value);		
	}
	//Trigger Mode
	value = m_hard.m_dsoFunc.GetTrigMode(bChange);
	if (bChange == 1)
	{
		m_comDSOTriggerMode.SetCurSel(value);
	}
	//Trigger Source
	value = m_hard.m_dsoFunc.GetTrigSource(bChange);
	if (bChange == 1)
	{
		m_comDSOTriggerSource.SetCurSel(value);
	}

}


void CVCDlg::OnSelchangeCboCh1voltage() 
{
	// TODO: Add your control notification handler code here	
	m_hard.SetHardParam(MSG_DSO_VOLTAGE_CH1, m_comDSOVoltCh1.GetCurSel());
}

void CVCDlg::OnSelchangeCboCh2voltage() 
{
	// TODO: Add your control notification handler code here
	m_hard.SetHardParam(MSG_DSO_VOLTAGE_CH2, m_comDSOVoltCh2.GetCurSel());
}

void CVCDlg::OnSelchangeCboTimebase() 
{
	// TODO: Add your control notification handler code here
	m_hard.SetHardParam(MSG_DSO_TIMEBASE, m_comDSOTimebase.GetCurSel());	
}

void CVCDlg::OnSelchangeCboTriggermode() 
{
	// TODO: Add your control notification handler code here
	m_hard.SetHardParam(MSG_DSO_TRIGGERMODE, m_comDSOTriggerMode.GetCurSel());
}

void CVCDlg::OnSelchangeCboTriggersource() 
{
	// TODO: Add your control notification handler code here
	m_hard.SetHardParam(MSG_DSO_TRIGGERSOURCE, m_comDSOTriggerSource.GetCurSel());
	
}

void CVCDlg::OnBtnCh1positionOk() 
{
	// TODO: Add your control notification handler code here
	CString s;
	m_editChPosCh1.GetWindowText(s);
	int val = ChangeStringDeci(s);
	m_hard.SetHardParam(MSG_DSO_CHPOS_CH1, val);
}

void CVCDlg::OnBtnCh1triggerOk() 
{
	// TODO: Add your control notification handler code here
	CString s;
	m_editTrigPosCh1.GetWindowText(s);
	int val = ChangeStringDeci(s);
	m_hard.SetHardParam(MSG_DSO_TRIGPOS_CH1, val);
}

void CVCDlg::OnBtnCh2positionOk() 
{
	// TODO: Add your control notification handler code here
	CString s;
	m_editChPosCh2.GetWindowText(s);
	int val = ChangeStringDeci(s);
	m_hard.SetHardParam(MSG_DSO_CHPOS_CH2, val);
}

void CVCDlg::OnBtnCh2triggerOk() 
{
	// TODO: Add your control notification handler code here
	CString s;
	m_editTrigPosCh2.GetWindowText(s);
	int val = ChangeStringDeci(s);
	m_hard.SetHardParam(MSG_DSO_TRIGPOS_CH2, val);

}
int CVCDlg::ChangeStringDeci(CString str)//ʮ
{
	int len=str.GetLength();
	int i;
	char c;
	int iData;
	int d;

	iData = 0;
	for(i=0;i<len;i++)
	{
		c=str.GetAt(i);
		if(c<'0'||c>'9')
			return 0;
		d = c - '0';
		iData*= 10;
		iData += d;		
	}	
	return iData;

}
void CVCDlg::OnBtnAutoset() 
{
	// TODO: Add your control notification handler code here
	m_hard.SetHardParam(MSG_DSO_AUTOSET, 0);
	
}
//DMM
void CVCDlg::DMMChangeDlg()			/*Change dialog*/
{
	BOOL bChange = 0;
	int val, type, bAuto, bAma;
	val = m_hard.m_dmmFunc.DMMGetType(bChange);
	if (bChange == 1)
	{
		DMMSetType(val);
	}
	type = val;
	//DCAC
	m_btnDMMDCAC.ShowWindow(type == DMM_VOLTAGE || type == DMM_CURRENT);
	val = m_hard.m_dmmFunc.DMMGetDCAC();
	if (val == DMM_DC)
		m_btnDMMDCAC.SetWindowText("DC");
	else
		m_btnDMMDCAC.SetWindowText("AC");
	//AmA
	m_btnDMMAma.ShowWindow(type == DMM_CURRENT);
	bAma = m_hard.m_dmmFunc.DMMGetAMA();
	if (bAma == DMM_A_A)
		m_btnDMMAma.SetWindowText("A");
	else
		m_btnDMMAma.SetWindowText("mA");

	//Auto Manual
	m_btnDMMAuto.ShowWindow(type == DMM_VOLTAGE || type == DMM_CURRENT || type == DMM_OHM);
	if (m_hard.m_dmmFunc.DMMGetREL() == 1)
		m_btnDMMAuto.ShowWindow(SW_HIDE);
	bAuto = m_hard.m_dmmFunc.DMMGetAutoManual();
	if (type == DMM_CURRENT && bAma == DMM_A_A)
	{
		m_btnDMMAuto.SetWindowText("10A");
	}
	else
	{
		if (bAuto == DMM_AUTO)
			m_btnDMMAuto.SetWindowText("AUTO");
		else
			m_btnDMMAuto.SetWindowText("MANUAL");
	}
	//Range
	val = m_hard.m_dmmFunc.DMMGetRange(bChange);
	if (type == DMM_VOLTAGE || type == DMM_CURRENT || type == DMM_OHM)
	{
		if ((type == DMM_CURRENT && bAma == DMM_A_A) || bAuto == DMM_AUTO)
		{
			m_comDMMRange.ShowWindow(SW_HIDE);
			m_staticRange.ShowWindow(SW_HIDE);
		}
		else
		{
			m_comDMMRange.ShowWindow(SW_SHOW);
			m_staticRange.ShowWindow(SW_SHOW);
			if (bChange == 1)
			{
				m_comDMMRange.SetCurSel(val);
			}
		}
	}
	else
	{
		m_comDMMRange.ShowWindow(SW_HIDE);
		m_staticRange.ShowWindow(SW_HIDE);
	}
	m_btnDMMRel.ShowWindow(type != DMM_CONTI);
}
void CVCDlg::DMMSetType(int index)
{
	m_checkVolt.SetCheck(index == DMM_VOLTAGE);
	m_checkCurrent.SetCheck(index == DMM_CURRENT);
	m_checkOHM.SetCheck(index == DMM_OHM);
	m_checkDiode.SetCheck(index == DMM_DIODE);
	m_checkConti.SetCheck(index == DMM_CONTI);
	m_checkCap.SetCheck(index == DMM_CAP);

	m_comDMMRange.ResetContent();
	if (index == DMM_VOLTAGE)
	{
		m_comDMMRange.AddString("60mV");
		m_comDMMRange.AddString("600mV");
		m_comDMMRange.AddString("6V");
		m_comDMMRange.AddString("60V");
		m_comDMMRange.AddString("600V");
		m_comDMMRange.AddString("6000V");
	}
	else if (index == DMM_CURRENT)
	{
		m_comDMMRange.AddString("60mA");
		m_comDMMRange.AddString("600mA");
	}
	else if (index == DMM_OHM)
	{
		m_comDMMRange.AddString("600");
		m_comDMMRange.AddString("6K");
		m_comDMMRange.AddString("60K");
		m_comDMMRange.AddString("600K");
		m_comDMMRange.AddString("6M");
		m_comDMMRange.AddString("60M");
	}
	else
		m_comDMMRange.ShowWindow(SW_HIDE);

	BOOL bChange;
	int val;
	val = m_hard.m_dmmFunc.DMMGetRange(bChange);
	m_comDMMRange.SetCurSel(val);
//	UpdateData(FALSE);
}

void CVCDlg::OnCheckV() 
{
	// TODO: Add your control notification handler code here
	m_hard.SetHardParam(MSG_DMM_TYPE, DMM_VOLTAGE);
}

void CVCDlg::OnCheckA() 
{
	// TODO: Add your control notification handler code here
	m_hard.SetHardParam(MSG_DMM_TYPE, DMM_CURRENT);
}

void CVCDlg::OnCheckConti() 
{
	// TODO: Add your control notification handler code here
	m_hard.SetHardParam(MSG_DMM_TYPE, DMM_CONTI);
}

void CVCDlg::OnCheckDiode() 
{
	// TODO: Add your control notification handler code here
	m_hard.SetHardParam(MSG_DMM_TYPE, DMM_DIODE);
}

void CVCDlg::OnCheckR() 
{
	// TODO: Add your control notification handler code here
	m_hard.SetHardParam(MSG_DMM_TYPE, DMM_OHM);
}

void CVCDlg::OnCheckcap() 
{
	// TODO: Add your control notification handler code here
	m_hard.SetHardParam(MSG_DMM_TYPE, DMM_CAP);
}

void CVCDlg::OnBtnDcac() 
{
	// TODO: Add your control notification handler code here
	if (m_hard.m_dmmFunc.DMMGetDCAC() == DMM_DC)
		m_hard.SetHardParam(MSG_DMM_DCAC, DMM_AC);
	else
		m_hard.SetHardParam(MSG_DMM_DCAC, DMM_DC);
}

void CVCDlg::OnBtnRel() 
{
	// TODO: Add your control notification handler code here
	if (m_hard.m_dmmFunc.DMMGetREL() == 1)
		m_hard.SetHardParam(MSG_DMM_REL, 0);
	else
		m_hard.SetHardParam(MSG_DMM_REL, 1);
}

void CVCDlg::OnBtnAutomanual() 
{
	// TODO: Add your control notification handler code here
	if (m_hard.m_dmmFunc.DMMGetAutoManual() == DMM_AUTO)
		m_hard.SetHardParam(MSG_DMM_AUTOMANUAL, DMM_MANUAL);
	else
		m_hard.SetHardParam(MSG_DMM_AUTOMANUAL, DMM_AUTO);
}

void CVCDlg::OnBtnAma() 
{
	// TODO: Add your control notification handler code here
	if (m_hard.m_dmmFunc.DMMGetAMA() == DMM_A_A)
		m_hard.SetHardParam(MSG_DMM_AMA, DMM_A_MA);
	else
		m_hard.SetHardParam(MSG_DMM_AMA, DMM_A_A);
}

void CVCDlg::OnSelchangeComboRange() 
{
	// TODO: Add your control notification handler code here
	m_hard.SetHardParam(MSG_DMM_RANGE, m_comDMMRange.GetCurSel());
}
