// VCDlg.h : header file
//

#if !defined(AFX_VCDLG_H__D76A0B97_51D1_4918_84BC_27D32FFBC79A__INCLUDED_)
#define AFX_VCDLG_H__D76A0B97_51D1_4918_84BC_27D32FFBC79A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "hard.h"
#include "DSODisT.h"
#include "DMMDisT.h"
/////////////////////////////////////////////////////////////////////////////
// CVCDlg dialog

class CVCDlg : public CDialog
{
// Construction
public:
	CVCDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CVCDlg)
	enum { IDD = IDD_VC_DIALOG };
	CStatic	m_staticRange;
	CButton	m_checkCap;
	CButton	m_checkVolt;
	CButton	m_checkOHM;
	CButton	m_checkDiode;
	CButton	m_checkConti;
	CButton	m_checkCurrent;
	CEdit	m_editTrigPosCh2;
	CEdit	m_editChPosCh2;
	CEdit	m_editTrigPosCh1;
	CEdit	m_editChPosCh1;
	CDMMDisT	m_dmmDisT;
	CDSODisT	m_dsoDisT;
	CComboBox	m_comDMMRange;
	CComboBox	m_comDSOTriggerSource;
	CComboBox	m_comDSOTriggerMode;
	CComboBox	m_comDSOTimebase;
	CComboBox	m_comDSOVoltCh2;
	CComboBox	m_comDSOVoltCh1;
	CButton	m_btnDMMRel;
	CButton	m_btnDMMDCAC;
	CButton	m_btnDMMAuto;
	CButton	m_btnDMMAma;
	//}}AFX_DATA
private:
	HANDLE hProc;
	CHard m_hard;

private:
	static DWORD WINAPI DSOProc(LPVOID lParam);
	void SetDlg();
	void InitComboBox();
	void InitDlg();				/*Initalize dialog*/
	void DSOChangeDlg();			/*Change dialog*/
	void DMMChangeDlg();
	int ChangeStringDeci(CString str);//ʮ
	void DMMSetType(int index);		/*Set DMM Type on the dialog*/
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVCDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CVCDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnRadioDso();
	afx_msg void OnRadioDmm();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnSelchangeCboCh1voltage();
	afx_msg void OnSelchangeCboCh2voltage();
	afx_msg void OnSelchangeCboTimebase();
	afx_msg void OnSelchangeCboTriggermode();
	afx_msg void OnSelchangeCboTriggersource();
	afx_msg void OnBtnCh1positionOk();
	afx_msg void OnBtnCh1triggerOk();
	afx_msg void OnBtnCh2positionOk();
	afx_msg void OnBtnCh2triggerOk();
	afx_msg void OnBtnAutoset();
	afx_msg void OnCheckV();
	afx_msg void OnCheckA();
	afx_msg void OnCheckConti();
	afx_msg void OnCheckDiode();
	afx_msg void OnCheckR();
	afx_msg void OnCheckcap();
	afx_msg void OnBtnDcac();
	afx_msg void OnBtnRel();
	afx_msg void OnBtnAutomanual();
	afx_msg void OnBtnAma();
	afx_msg void OnSelchangeComboRange();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VCDLG_H__D76A0B97_51D1_4918_84BC_27D32FFBC79A__INCLUDED_)
