// DMMDisT.cpp : implementation file
//

#include "stdafx.h"
#include "VC.h"
#include "DMMDisT.h"

#include "memdc.h"
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDMMDisT

CDMMDisT::CDMMDisT()
{
}

CDMMDisT::~CDMMDisT()
{
}


BEGIN_MESSAGE_MAP(CDMMDisT, CStatic)
	//{{AFX_MSG_MAP(CDMMDisT)
	ON_WM_SIZE()
	ON_WM_PAINT()
	ON_WM_ERASEBKGND()
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDMMDisT message handlers
void CDMMDisT::OnSize(UINT nType, int cx, int cy) 
{
	CStatic::OnSize(nType, cx, cy);
	
	// TODO: Add your message handler code here
	ReconstructControl();
}

void CDMMDisT::OnPaint() 
{
	CPaintDC dc(this); // device context for painting
	
	// TODO: Add your message handler code here
	GetClientRect (&m_rectCtrl);
	CMemDC memDC(&dc, &m_rectCtrl);
	if(m_dcBackground.GetSafeHdc()== NULL|| (m_bitmapBackground.m_hObject == NULL))
	{
		m_dcBackground.CreateCompatibleDC(&dc);
		m_bitmapBackground.CreateCompatibleBitmap(&dc, m_rectCtrl.Width(),m_rectCtrl.Height()) ;
		m_pBitmapOldBackground = m_dcBackground.SelectObject(&m_bitmapBackground) ;
		//DrawMeterBackground(&m_dcBackground, m_rectCtrl);

	}
	DrawView(&m_dcBackground, m_rectCtrl);
	memDC.BitBlt(0, 0, m_rectCtrl.Width(), m_rectCtrl.Height(), 
			           &m_dcBackground, 0, 0, SRCCOPY) ;

	// Do not call CStatic::OnPaint() for painting messages
}

BOOL CDMMDisT::OnEraseBkgnd(CDC* pDC) 
{
	// TODO: Add your message handler code here and/or call default
	return FALSE;
	return CStatic::OnEraseBkgnd(pDC);
}
void CDMMDisT::ReconstructControl()
{
	if ((m_pBitmapOldBackground) && 
		  (m_bitmapBackground.GetSafeHandle()) && 
			(m_dcBackground.GetSafeHdc()))
	{
			m_dcBackground.SelectObject(m_pBitmapOldBackground);
			m_dcBackground.DeleteDC() ;
			m_bitmapBackground.DeleteObject();
	}
	Invalidate ();
}
void CDMMDisT::ReDraw()
{
	Invalidate();
}
void CDMMDisT::DrawView(CDC* pDC, CRect& rc)
{
	//Configure information
	DMM_INFO m_dmmInfo;
	CString sVal, sRel;

	m_dmmInfo = m_pHard->m_dmmFunc.m_dmmInfo[1];

	pDC->FillSolidRect(&rc, RGB(0, 0, 0));

	CFont font,font2 ,*oldFont;
	font.CreatePointFont(200, "Arial", NULL);	
	font2.CreatePointFont(140, "Arial", NULL);
	oldFont = pDC->SelectObject(&font);
	pDC->SetTextColor(RGB(0, 255,255));
	
	//Draw Value
	sVal = m_pHard->m_dmmFunc.DMMFormatValue(&m_dmmInfo);
	
	pDC->DrawText(sVal, &rc, DT_CENTER | DT_VCENTER | DT_SINGLELINE);	
	pDC->SelectObject(oldFont);

	oldFont = pDC->SelectObject(&font2);

	sRel = m_pHard->m_dmmFunc.DMMFormatRelValue(&m_dmmInfo);
	pDC->DrawText(sRel, &rc, DT_LEFT | DT_TOP | DT_SINGLELINE);
	pDC->SelectObject(oldFont);

}
