#if !defined(AFX_DSODIST_H__0B5D61AE_2D17_4DAD_BA82_8FCE08D695BE__INCLUDED_)
#define AFX_DSODIST_H__0B5D61AE_2D17_4DAD_BA82_8FCE08D695BE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DSODisT.h : header file
//
#include "hard.h"
/////////////////////////////////////////////////////////////////////////////
// CDSODisT window

class CDSODisT : public CStatic
{
// Construction
public:
	CDSODisT();

// Attributes
private:

	void DrawGrid(CDC* pDC, CRect& rc);
	void DrawGridScale(CDC*pDC,CRect Rect,COLORREF PenColor);
	void DrawWave(CDC* pDC, CRect& rc);
	void DrawWave(CDC* pDC, int ch, CRect& rc, COLORREF cr);
	float ChangeDataToDisplay(short data, CRect& rc);
private:
	float m_xSpace;			/*Waveform point space*/
	float m_xLeft;			/*Waveform left point place*/
	int m_waveType;		/*0:Dot, 1:line*/
// Operations

public:
	void DrawView(CDC* pDC, CRect& rc);
	void ReconstructControl();
	void ReDraw();
	void SetHard(CHard* hard){m_pHard = hard;}
private:
	CRect m_rectCtrl;			// ؼ
	CBitmap *m_pBitmapOldBackground;
	CBitmap m_bitmapBackground;
	CDC m_dcBackground;	
	CHard* m_pHard;



// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDSODisT)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CDSODisT();

	// Generated message map functions
protected:
	//{{AFX_MSG(CDSODisT)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnPaint();
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DSODIST_H__0B5D61AE_2D17_4DAD_BA82_8FCE08D695BE__INCLUDED_)
